Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
gimp-lensfun bricht mit Fehler ab
View unanswered posts
View posts from last 24 hours
View posts from last 7 days

 
Reply to topic    Gentoo Forums Forum Index Deutsches Forum (German)
View previous topic :: View next topic  
Author Message
uhai
Veteran
Veteran


Joined: 23 Aug 2007
Posts: 1158
Location: Eppingen, Germany

PostPosted: Sat Feb 21, 2015 1:41 pm    Post subject: gimp-lensfun bricht mit Fehler ab Reply with quote

Hallo Kollegen,

bin wieder auf der Suche nach Hilfe.... Bei mir bricht seit einer Weile "emerge media-plugins/gimp-lensfun" immer ab. Mit der Fehlermeldung komme ich aber nicht weiter...:

Code:
>>> Emerging (1 of 1) media-plugins/gimp-lensfun-0.2.3::gentoo
 * gimp-lensfun-0.2.3.tar.gz SHA256 SHA512 WHIRLPOOL size ;-) ...                                                                                                                                           [ ok ]
>>> Unpacking source...
>>> Unpacking gimp-lensfun-0.2.3.tar.gz to /var/tmp/portage/media-plugins/gimp-lensfun-0.2.3/work
>>> Source unpacked in /var/tmp/portage/media-plugins/gimp-lensfun-0.2.3/work
>>> Preparing source in /var/tmp/portage/media-plugins/gimp-lensfun-0.2.3/work/GIMP-Lensfun-0.2.3 ...
>>> Source prepared.
>>> Configuring source in /var/tmp/portage/media-plugins/gimp-lensfun-0.2.3/work/GIMP-Lensfun-0.2.3 ...
>>> Source configured.
>>> Compiling source in /var/tmp/portage/media-plugins/gimp-lensfun-0.2.3/work/GIMP-Lensfun-0.2.3 ...
make -j5
x86_64-pc-linux-gnu-g++ -march=native -O2 -pipe -ggdb -DDEBUG=0 -O3 -Wall -fopenmp -pthread -I/usr/include/gimp-2.0 -I/usr/include/gtk-2.0 -I/usr/lib64/gtk-2.0/include -I/usr/include/pango-1.0 -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pixman-1 -I/usr/include/libdrm -I/usr/include/gdk-pixbuf-2.0 -I/usr/include/libpng16 -I/usr/include/pango-1.0 -I/usr/include/harfbuzz -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/freetype2  -I/usr/include/lensfun -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include  -c -o src/gimplensfun.o src/gimplensfun.cpp
src/gimplensfun.cpp: In function ‘void query()’:
src/gimplensfun.cpp:211:5: warning: deprecated conversion from string constant to ‘gchar* {aka char*}’ [-Wwrite-strings]
     };
     ^
src/gimplensfun.cpp:211:5: warning: deprecated conversion from string constant to ‘gchar* {aka char*}’ [-Wwrite-strings]
src/gimplensfun.cpp:211:5: warning: deprecated conversion from string constant to ‘gchar* {aka char*}’ [-Wwrite-strings]
src/gimplensfun.cpp:211:5: warning: deprecated conversion from string constant to ‘gchar* {aka char*}’ [-Wwrite-strings]
src/gimplensfun.cpp:211:5: warning: deprecated conversion from string constant to ‘gchar* {aka char*}’ [-Wwrite-strings]
src/gimplensfun.cpp:211:5: warning: deprecated conversion from string constant to ‘gchar* {aka char*}’ [-Wwrite-strings]
src/gimplensfun.cpp: In function ‘void PrintLens(const lfLens*)’:
src/gimplensfun.cpp:306:41: error: ‘const struct lfLens’ has no member named ‘RedCCI’
     g_print ("\tCCI: %g/%g/%g\n", lens->RedCCI, lens->GreenCCI, lens->BlueCCI);
                                         ^
src/gimplensfun.cpp:306:55: error: ‘const struct lfLens’ has no member named ‘GreenCCI’
     g_print ("\tCCI: %g/%g/%g\n", lens->RedCCI, lens->GreenCCI, lens->BlueCCI);
                                                       ^
src/gimplensfun.cpp:306:71: error: ‘const struct lfLens’ has no member named ‘BlueCCI’
     g_print ("\tCCI: %g/%g/%g\n", lens->RedCCI, lens->GreenCCI, lens->BlueCCI);
                                                                       ^
src/gimplensfun.cpp: At global scope:
src/gimplensfun.cpp:277:13: warning: ‘void PrintMount(const lfMount*)’ defined but not used [-Wunused-function]
 static void PrintMount (const lfMount *mount)
             ^
src/gimplensfun.cpp:312:13: warning: ‘void PrintCameras(const lfCamera**)’ defined but not used [-Wunused-function]
 static void PrintCameras (const lfCamera **cameras)
             ^
src/gimplensfun.cpp:324:13: warning: ‘void PrintLenses(const lfLens**)’ defined but not used [-Wunused-function]
 static void PrintLenses (const lfLens **lenses)
             ^
Makefile:51: recipe for target 'src/gimplensfun.o' failed
make: *** [src/gimplensfun.o] Error 1
 * ERROR: media-plugins/gimp-lensfun-0.2.3::gentoo failed (compile phase):
 *   emake failed


Code:
tux uhai # emerge --info '=media-plugins/gimp-lensfun-0.2.3::gentoo'
WARNING: One or more repositories have missing repo_name entries:

        /usr/local/portage/overlay/profiles/repo_name

NOTE: Each repo_name entry should be a plain text file containing a
unique name for the repository on the first line.


Portage 2.2.14 (python 3.3.5-final-0, default/linux/amd64/13.0/desktop, gcc-4.8.3, glibc-2.19-r1, 3.17.8-gentoo-r1y x86_64)
=================================================================
                         System Settings
=================================================================
System uname: Linux-3.17.8-gentoo-r1y-x86_64-AMD_Phenom-tm-_II_X4_945_Processor-with-gentoo-2.2
KiB Mem:    16435004 total,    213156 free
KiB Swap:   17414456 total,  17014192 free
Timestamp of tree: Sat, 21 Feb 2015 08:45:01 +0000
ld GNU ld (Gentoo 2.24 p1.4) 2.24
ccache version 3.1.9 [enabled]
app-shells/bash:          4.2_p53
dev-java/java-config:     2.2.0
dev-lang/perl:            5.20.1-r4
dev-lang/python:          2.7.9-r1, 3.3.5-r1, 3.4.1
dev-util/ccache:          3.1.9-r4
dev-util/cmake:           2.8.12.2-r1
dev-util/pkgconfig:       0.28-r1
sys-apps/baselayout:      2.2
sys-apps/openrc:          0.13.11
sys-apps/sandbox:         2.6-r1
sys-devel/autoconf:       2.13, 2.69
sys-devel/automake:       1.11.6-r1, 1.12.6, 1.13.4, 1.14.1, 1.15
sys-devel/binutils:       2.24-r3
sys-devel/gcc:            4.8.3
sys-devel/gcc-config:     1.7.3
sys-devel/libtool:        2.4.4
sys-devel/make:           4.0-r1
sys-kernel/linux-headers: 3.19 (virtual/os-headers)
sys-libs/glibc:           2.19-r1
Repositories: gentoo kde x-overlay
ACCEPT_KEYWORDS="amd64"
ACCEPT_LICENSE="* -@EULA"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=native -O2 -pipe -ggdb"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/lib64/fax /usr/lib64/libreoffice/program/sofficerc /usr/share/config /usr/share/gnupg/qualified.txt /var/lib/hsqldb /var/spool/fax/etc"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5.5/ext-active/ /etc/php/cgi-php5.5/ext-active/ /etc/php/cli-php5.5/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-march=native -O2 -pipe -ggdb"
DISTDIR="/usr/portage/distfiles"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs ccache config-protect-if-modified distlocks ebuild-locks fixlafiles merge-sync news parallel-fetch preserve-libs protect-owned sandbox sfperms splitdebug strict unknown-features-warn unmerge-logs unmerge-orphans userpriv usersandbox usersync"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://distfiles.gentoo.org/"
LANG="de_DE.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j5"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/var/lib/layman/kde /usr/local/portage/overlay"
SYNC="rsync://rsync.europe.gentoo.org/gentoo-portage"
USE="3dnow X a52 aac acl acpi akonadi alsa amd64 apache2 avi berkdb bluetooth branding bzip2 cairo cdda cddb cdr cleartype cli corefonts cracklib crypt cups cxx dbus dga divx dts dv dvd dvdr dvdread emboss encode exif fam fame ffmpeg firefox flac fortran gdbm gif glamor gphoto2 gpm gps gtk gudev iconv introspection ipv6 java java6 javascript jpeg jpeg2k lcms ldap libav libnotify lm_sensors mad midi mjpeg mmx mng modules mp3 mp4 mpeg msn multilib ncurses networkmanager nls nptl nvidia ogg opengl openmp pam pango pcre pda pdf phonon png policykit ppds python qt3support qt4 quicktime raw readline scanner sdl session smp spell sql sse sse2 ssl startup-notification subtitles svg syslog systemd tcpd threads tiff timidity truetype type1 udev udisks unicode upower usb v4l v4l2 vcd vorbis wavpack win32codecs wmf wxwidgets x264 xcb xine xml xpm xv xvid zlib" ABI_X86="64" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump author" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" CPU_FLAGS_X86="3dnow 3dnowext mmx mmxext popcnt sse sse2 sse3 sse4a" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ublox ubx" INPUT_DEVICES="keyboard mouse evdev wacom" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LINGUAS="de" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-5" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7 python3_3" RUBY_TARGETS="ruby19 ruby20" USERLAND="GNU" VIDEO_CARDS="nvidia" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, USE_PYTHON


Code:
tux uhai # emerge -pqv '=media-plugins/gimp-lensfun-0.2.3::gentoo'

 * IMPORTANT: config file '/etc/portage/package.accept_keywords/ystemctl is-failed' needs updating.
 * See the CONFIGURATION FILES section of the emerge
 * man page to learn how to update config files.
[ebuild     U ] media-plugins/gimp-lensfun-0.2.3 [0.2.2-r2] USE="openmp"


Falls jemand da mal einen Blick darauf werfen würde und mir einen Tip geben kann, was da falsch läuft... wäre ich sehr dankbar. BTW - wie bekomme ich die Update-Meldung hinter den * weg? Das File gibt es nicht (mehr), der Update-Wunsch ist aber geblieben... Irgendwo muss da doch noch etwas sein, oder?

uhai
_________________
Asus 4A785TD-M EVO mit AMD Phenom(tm) II X4 945
Dell Mini 10v
http://www.openstreetmap.org
Back to top
View user's profile Send private message
Josef.95
Advocate
Advocate


Joined: 03 Sep 2007
Posts: 3627
Location: Germany

PostPosted: Sat Feb 21, 2015 11:40 pm    Post subject: Reply with quote

Hm, damit scheinst du nicht allein zu sein, siehe zb im Bug 537130

Teste doch mal ob =gimp-lensfun-0.2.2-r2 noch baut.
Wenn das klappt, dann haue =media-plugins/gimp-lensfun-0.2.3
doch erst mal in die package.mask (oder schalte die Version garnicht erst frei).
Back to top
View user's profile Send private message
uhai
Veteran
Veteran


Joined: 23 Aug 2007
Posts: 1158
Location: Eppingen, Germany

PostPosted: Sun Feb 22, 2015 8:47 am    Post subject: Reply with quote

Ich hab es umgekehrt probiert: 0.2.2-r2 hat den Fehler gebracht und ich dann gehofft, dass die 0.2.3 funktioniert...
Für amd64 sind die Versionen alle masked.... schade.

[Edit] Danke für den Hinweis auf den bug. Der ist mir beim Googeln entgangen.... habe mich dort mal angehängt. Hast du zufällig noch einen Tip, warum hier ständig der Hinweis auf das Update der nicht vorhandenen Config kommt? [/Edit]

uhai
_________________
Asus 4A785TD-M EVO mit AMD Phenom(tm) II X4 945
Dell Mini 10v
http://www.openstreetmap.org
Back to top
View user's profile Send private message
Josef.95
Advocate
Advocate


Joined: 03 Sep 2007
Posts: 3627
Location: Germany

PostPosted: Mon Feb 23, 2015 10:26 pm    Post subject: Reply with quote

uhai wrote:
Hast du zufällig noch einen Tip, warum hier ständig der Hinweis auf das Update der nicht vorhandenen Config kommt?

Hm, du meinst diese?
Code:
 * IMPORTANT: config file '/etc/portage/package.accept_keywords/ystemctl is-failed' needs updating.
 * See the CONFIGURATION FILES section of the emerge
 * man page to learn how to update config files.

Hast du mal versucht diese (mit dispatch-conf , etc-update oder was auch immer) zu aktualisieren?
Oder meinst du das es diese Datei /etc/portage/package.accept_keywords/ystemctl
gar nicht gibt? (der Name ist schon recht seltsam, ist vermutlich ein Tippfehler).
Ich würde einfach mal versuchen diese mit den schon genannten Tools zu aktualisieren.
Back to top
View user's profile Send private message
uhai
Veteran
Veteran


Joined: 23 Aug 2007
Posts: 1158
Location: Eppingen, Germany

PostPosted: Wed Feb 25, 2015 6:29 am    Post subject: Reply with quote

Aktualisieren geht nicht, da diese Datei inzwischen gelöscht ist - ja, war ein Tippfehler...

Woher kommt die info zur Aktualisierung? Das muss portage doch irgendwo ablegen, oder?

uhai

[Edit]
Das hilft nicht weiter... :
Code:
 grep -R /etc/portage/* ystemctl
grep: ystemctl: Datei oder Verzeichnis nicht gefunden


Vermutlich muss ich in einem anderen Verzeichnis suchen, oder? [/Edit]

[Edit2] updaten habe ich bereits versucht, das scheitert aber an der fehlenden Datei. [/Edit2]
_________________
Asus 4A785TD-M EVO mit AMD Phenom(tm) II X4 945
Dell Mini 10v
http://www.openstreetmap.org
Back to top
View user's profile Send private message
ChrisJumper
Advocate
Advocate


Joined: 12 Mar 2005
Posts: 2225
Location: Germany

PostPosted: Sat Feb 28, 2015 10:22 pm    Post subject: Reply with quote

uhai wrote:
updaten habe ich bereits versucht, das scheitert aber an der fehlenden Datei.


Dann erstelle doch einfach eine leere Datei die so heißt, mit anschließendem update.

Code:
# touch /etc/portage/package.accept_keywords/ystemctl
# etc-update


Auswendig weiß ich auch nicht wo portage/emerge sich das vormerkt wenn noch updates anstehen. Meine aber das da auch immer ein Pfad zur neueren-Datei Angezeigt wird, vor oder bei dem etc-update Dialog.

Vielleicht gibt es etwas neues das ich noch nicht kenne, aber ich hab selber mehrere Dateien zur einfacheren Verwaltung der Keywords in einem Ordner, ich denke die Skripte suchen eh alle Dateien in den Ordnern rekursive durch so das dir da auch kein Schaden entstehen kann (bei den accept_keywords) wenn die andere Namen haben.
Back to top
View user's profile Send private message
uhai
Veteran
Veteran


Joined: 23 Aug 2007
Posts: 1158
Location: Eppingen, Germany

PostPosted: Tue Mar 03, 2015 10:37 pm    Post subject: Reply with quote

wäre wohl zu einfach:

Code:
tux# etc-update                             
Scanning Configuration files...
Skipping non-file /etc/portage/package.accept_keywords/._cfg0000_ystemctl ...
Skipping non-file is-failed ...
Exiting: Nothing left to do; exiting. :)


Datei erstellen reicht vermutlich nicht, sollte wohl auch einen Inhalt haben....

uhai
_________________
Asus 4A785TD-M EVO mit AMD Phenom(tm) II X4 945
Dell Mini 10v
http://www.openstreetmap.org
Back to top
View user's profile Send private message
ChrisJumper
Advocate
Advocate


Joined: 12 Mar 2005
Posts: 2225
Location: Germany

PostPosted: Wed Mar 04, 2015 11:46 am    Post subject: Reply with quote

Quote:
Skipping non-file /etc/portage/package.accept_keywords/._cfg0000_ystemctl ...
Skipping non-file is-failed ...


Aber da ist doch die Antwort die ich gesucht hab!

Einfach die Datei ._cfg0000_ystemctl im Verzeichnis /etc/portage/package.accept_keywords/ löschen und du hast wieder deine Ruhe. Ich war mir halt nicht mehr sicher wo die Dateien mit den bevorstehenden Änderungen gespeichert werden. Wie sich jetzt ja herausstellt im selben Verzeichnis.

Das dir etc-update nichts vorschlägt liegt wahrscheinlich daran das diese ._cfg0000_ystemctl Datei auch leer ist. Die Existenz reicht aber schon aus das Portage dir immer die Meldung anzeigt.
Back to top
View user's profile Send private message
uhai
Veteran
Veteran


Joined: 23 Aug 2007
Posts: 1158
Location: Eppingen, Germany

PostPosted: Wed Mar 04, 2015 7:11 pm    Post subject: Reply with quote

Code:
tux# rm /etc/portage/package.accept_keywords/._cfg0000_ystemctl ...
rm: das Entfernen von „/etc/portage/package.accept_keywords/._cfg0000_ystemctl“ ist nicht möglich: Datei oder Verzeichnis nicht gefunden
rm: das Entfernen von „...“ ist nicht möglich: Datei oder Verzeichnis nicht gefunden


Sieht für mich eher nach einer neuen Frage aus....

uhai
_________________
Asus 4A785TD-M EVO mit AMD Phenom(tm) II X4 945
Dell Mini 10v
http://www.openstreetmap.org
Back to top
View user's profile Send private message
uhai
Veteran
Veteran


Joined: 23 Aug 2007
Posts: 1158
Location: Eppingen, Germany

PostPosted: Fri Mar 06, 2015 5:42 am    Post subject: Reply with quote

War ich wieder betriebsblind...

Also das sieht dann so aus:
Code:
tux# touch /etc/portage/package.accept_keywords/ystemctl
tux# etc-update
Scanning Configuration files...
Skipping non-file /etc/portage/package.accept_keywords/._cfg0000_ystemctl ...
Skipping non-file is-failed ...
Exiting: Nothing left to do; exiting. :)

_________________
Asus 4A785TD-M EVO mit AMD Phenom(tm) II X4 945
Dell Mini 10v
http://www.openstreetmap.org
Back to top
View user's profile Send private message
Josef.95
Advocate
Advocate


Joined: 03 Sep 2007
Posts: 3627
Location: Germany

PostPosted: Sat Mar 07, 2015 12:00 pm    Post subject: Reply with quote

Prima, dann können wir ja zum eigentlichen Thema zurückkehren :)

Magst nicht mal den Patch aus https://bugs.gentoo.org/show_bug.cgi?id=537130#c3 testen?
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Deutsches Forum (German) All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum